Name:          ttf-roboto
Version:       2.138
Release:       1mamba
Summary:       Google’s signature family of fonts
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://material.google.com/style/typography.html
Source:        https://sources.archlinux.org/other/packages/ttf-roboto/ttf-roboto-hinted-%{version}.zip
Source1:       64-google-roboto-fontconfig.conf
Source2:       64-google-roboto-condensed-fontconfig.conf
Source3:       google-roboto.metainfo.xml
Source4:       google-roboto-condensed.metainfo.xml
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Google’s signature family of fonts, the default font on Android and Chrome OS, and the recommended font for Google’s visual language, Material Design.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# install fonts (From Arch)
install -Dm644 *.ttf -t %{buildroot}%{_datadir}/fonts/TTF

# install fontconfig files (from Fedora)
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/conf.avail/64-google-roboto.conf
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/fonts/conf.avail/64-google-roboto-condensed.conf
install -d -m0755 %{buildroot}%{_sysconfdir}/fonts/conf.d
ln -s ../conf.avail/64-google-roboto.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/64-google-roboto.conf
ln -s ../conf.avail/64-google-roboto-condensed.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/64-google-roboto-condensed.conf

# install appdata (from Fedora)
install -m 0755 -d %{buildroot}%{_datadir}/appdata	
install -m 0644 -p %{SOURCE3} %{SOURCE4} %{buildroot}%{_datadir}/appdata

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
:

%postun
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
:

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/conf.d/64-google-roboto.conf
%{_sysconfdir}/fonts/conf.d/64-google-roboto-condensed.conf
%{_sysconfdir}/fonts/conf.avail/64-google-roboto-condensed.conf
%{_sysconfdir}/fonts/conf.avail/64-google-roboto.conf
%{_datadir}/appdata/google-roboto-condensed.metainfo.xml
%{_datadir}/appdata/google-roboto.metainfo.xml
%{_datadir}/fonts/TTF/Roboto-*.ttf
%{_datadir}/fonts/TTF/RobotoCondensed-*.ttf
%doc LICENSE

%changelog
* Sun Mar 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.138-1mamba
- package created using the webbuild interface
